<?php
	$StrHWND_COT=$_SESSION['SYS_HW']."_KOT";
	//-------------------------
	$StrDATA=V($_POST['TxtDAT']);
	$StrId=V($_POST['TxtId']);
	$StrCmd=V($_POST['TxtAc']);	
	//
	$DR=vbval(V($_POST['TxtDR']));
	//
	if(strlen($StrCmd)==0){
		$StrCmd=V($_GET['TxtAc']);
		if($StrCmd=="X"){
			$Str_PRI="1";			
			$StrCmd="C";
		}
	}
	if($StrCmd=="UP"){		
		$LStrFoc="document.getElementById('CboAlm').focus();";
		$StrGT="S";
	}
	//-------------------------
	$StrNew="NO";
	if(strlen($StrNew)==0)$StrNew="NO";
	$StrAlm=V($_POST['CboAlm']);
	$StrFec=V($_POST['TxtFec']);
	$StrCom=V($_POST['CboCom']);
	$StrSer=V($_POST['TxtSer']);
	$StrNum=V($_POST['TxtNum']);
	$StrTdp=V($_POST['CboTdp']);
	$StrAcu=V($_POST['TxtACuenta']);
	$StrMon=V($_POST['CboMon']);
	$StrVue=V($_POST['TxtVuelto']);	
	$StrVen=V($_POST['CboVen']);
	$StrMod=V($_POST['CboMod']);
	$SerNum=V($_POST['SerNum']);
	//
	$StrTReal=V($_POST['TxtTReal']);
	$StrTDes=V($_POST['TxtTDes']);
	//
	if(strlen($StrMon)==0)$StrMon="SOLES";
	//
	
	$Str_DES="0";
	$Str_VER=vbval(V($_POST['Ch_VER']));
	//
	$StrZto="";
	$StrZto_=gn("id_almacen","almacenes","alm_obs='$StrZto'");
	
	$StrSto="";
	$StrSto_=gn("id_almacen","almacenes","alm_obs='$StrSto'");
	//		
	$StrRuc=V($_POST['TxtRuc']);	
	$StrNPed=V($_POST['TxtNPed']);
	$StrContacto=V($_POST['TxtCon']);
	$StrN_INC=V($_POST['ChN_INC']);
	$StrN_AUTO="0";
	$StrCliente=V($_POST['TxtCliente']);
	$StrRuc=V($_POST['TxtRuc']);
	$StrIdCliente=V($_POST['TxtIdCliente']);
	if(strlen($StrIdCliente)==0)$StrIdCliente="0";
	$StrTotal=V($_POST['T_Importe']);
	$StrCUni=vbval(V($_POST['TxtCUni']));
	//------------------------
	$StrPro_ID=V($_POST['Pro_TxtId']);
	$StrPro_PR=V($_POST['TxtPre']);
	$StrPro_CA=V($_POST['TxtCant']);	
	//------------------------
	$Pro_TxtDes=V($_POST['Pro_TxtDes']);
	$Pro_TxtPre=V($_POST['Pro_TxtPre']);
	$Pro_TxtPreM=V($_POST['Pro_TxtPreM']);
	$Pro_TxtCod=V($_POST['Pro_TxtCod']);
	$Pro_TxtMarca=V($_POST['Pro_TxtMarca']);
	//------------------------
	if(strlen($StrFec)==0)$StrFec=date("d-m-y");	
	if(strlen($StrPro_ID)==0 || !is_numeric($StrPro_ID)) $StrPro_ID="0";
	if(strlen($StrPro_PR)==0 || !is_numeric($StrPro_PR)) $StrPro_PR="0";
	if(strlen($StrPro_CA)==0 || !is_numeric($StrPro_CA)) $StrPro_CA="0";
	if(strlen($StrN_INC)==0){
		$StrN_INC="0";
	}else{
		$StrN_INC="1";
	}
	//-----------------------
	
	if($StrN_AUTO=="1" || $StrCmd=="X"){
		$StrN_AUTO="1";		
	}else{
		$StrN_AUTO="0";
	}
	//------------------------
	$StrCod="";
	$StrDes="";
	$StrMARCA="";
	$StrPre="0";
	$StrDscto="0";
	$StrCant="0";
	$StrImp="0";
	//-------------------------
	$StrTC=gs("valor","valores","dato='T_CAMBIO'");
	//-------------------------
	//ACTIVAR DESDE OTRA PAGINA
	if(strlen($StrId)==0){
		$StrId=V($_GET['Id']);
		if(is_numeric($StrId)==false){
			$StrId="";
		}else{
			$StrCmd="AR";
			$LStrPag=V($_GET['Pag']);
			if(!is_numeric($LStrPag)){
				$LStrPag="";
			}
		}
	}
	//
	include("cotizacionez_fun_ar.php");
	$Id=vbval($StrId);
	$Str_PRI=gs("cot_pri","cotizaciones","id_cotizacion=$Id");
	//
	if(($StrCmd=="G" || $StrCmd=="M") && strlen($StrGT)==0){
		$StrTdp_=gs("id_tip_pag","tipos_pagos","tipp_nombre='$StrTdp'");
		$StrAcu=vbval($StrAcu);
		$StrMon_=gs("id_moneda","monedas","mon_nombre='$StrMon'");
		$StrVue=vbval($StrVue);
		$StrSal=vbval($StrSal);
		$StrVen_=gn("id_personal","personal","per_nombre='$StrVen'");		
		$StrAlm_=gn("id_almacen","almacenes","alm_obs='$StrAlm'");
		$StrCom_=gn("id_comprobante","comprobantes","com_nombre='$StrCom'");
		$StrMon_=substr($StrMon,0,1);		
		if(gn("count(*)","temp_compras2","cod_temc='$StrHWND_COT'")==0){
			$LStrMsg="La lista de productos esta vacia";
			$LStrFoc="document.getElementById('TxtCod').focus();";						
			$StrGT="S";
		}
	}
	//
	if($StrCmd=="M" && strlen($StrGT)==0){
		if(COT_V_MEA($StrId)!="OK"){
			$LStrMsg="El presente registro esta relacionado por lo tanto NO SE PUEDE MODIFICAR";
			$LStrFoc="document.getElementById('TxtFec').focus();";						
			$StrGT="S";	
		}else{	
			$LStrMsg="";
			if(strlen($StrIdCliente)==0) $StrIdCliente="0";
			if (is_numeric($StrIdCliente)==false) $StrIdCliente="0";
			$_DES=gs("cot_des","cotizaciones","id_cotizacion=$StrId");
			if(vbval($_DES)==1){
				$_ALM=gn("cot_id_alm","cotizaciones","id_cotizacion=$StrId");
				$s="SELECT id_producto,ca,can_uni FROM cotizaciones_det ".
				   "WHERE id_cotizacion=$StrId ORDER BY cx";
				$result = grs($s);			
				$cx=0;			
				while ($row = $result->fetch_row()){
					$_PI=$row[0];
					$_CA=$row[1];
					$_UN=$row[2];
					STOCK_ADD($_ALM,$_PI,$_CA * $_UN);
					ZTOCK_ADD($_ALM,$_PI,$_CA,$_UN);
				}
			}
			ejt("DELETE FROM cotizaciones WHERE id_cotizacion=$StrId");
			ejt("DELETE FROM cotizaciones_det WHERE id_cotizacion=$StrId");
			$LStrMsg="Los datos han sido modificados";
			$StrGT="";
			$StrCmd="G";
		}
	}
	//	
	if($StrCmd=="G" && strlen($StrGT)==0){	
		$StrCom_=gn("id_comprobante","comprobantes","com_nombre='$StrCom'");
		if($StrN_AUTO=="1"){
			COTI_GEN_SER_NUM_MAX($StrAlm_,$StrCom_,$StrSer,$StrNum);		
		}
		$StrFec_=ToDate($StrFec);
		$iStrSer=vbval($StrSer) * 1;
		$iStrNum=vbval($StrNum) * 1;
		if(gn("count(*)","cotizaciones","iser=$iStrSer AND inum=$iStrNum AND id_alm=$StrAlm_")>0){
			$LStrMsg="Almacen,serie y numero ya registrados";
			$LStrFoc="document.getElementById('TxtSer').focus();";						
			$StrGT="S";		
		}
	}
	if($StrCmd=="G" && strlen($StrGT)==0){
		$StrCOB=round(vbval($StrAcu) - vbval($StrVue),2);
		$GII=GenGI();
		$StrId=GenId("id_cotizacion","cotizaciones");
		$s="INSERT INTO cotizaciones VALUES ".
		   "($StrId,$StrAlm_,'$StrFec_',$StrCom_,
		   '$StrSer','$StrNum',$StrIdCliente,".
		   "$StrTC,'$StrN_INC',$StrTotal,$iStrSer,
		   $iStrNum,".GetIDU().",'$StrMon_','N',".
		   "$GII,'$StrNPed','$StrContacto',".
		   "'$Str_PRI','$Str_DES',".
		   "'$Str_VER',$StrZto_,0,$StrVen_,'$StrTdp_',".
		   "$StrAcu,'$StrMon_',$StrVue,$StrSal,'$StrMod',".
		   vbval($StrTReal).",".vbval($StrTDes).",".$StrCOB.",0)";
	 	ejt($s);		
		ejt("DELETE FROM cotizaciones_det WHERE id_cotizacion=$StrId");
		$s="SELECT * FROM temp_compras2 WHERE cod_temc='$StrHWND_COT' ORDER BY temc_index";
		$result = grs($s);			
		$cx=0;			
		while ($row = $result->fetch_row()){
			$cx++;
			$G_ID=$row[1];
			$G_CA=$row[2];
			$G_PR=$row[3];
			$G_IM=$row[4];
			$G_DT=$row[8];
			$G_CO=$row[6];
			$G_DE=$row[7];
			$G_CU=$row[9];
			$_CONTROL=$G_CA;
			$VE_CONTROL=$G_CA;
			$DEV=0;
			$DEJ=0;
			$ss="INSERT INTO cotizaciones_det ".
			    "VALUES ($StrId,$cx,$G_ID,$G_CA,".
				"$G_PR,$G_IM,$G_DT,'$G_CO','$G_DE',$G_CU,$_CONTROL,$VE_CONTROL,$DEV,$DEJ)";			
			//
			ejt($ss);
			if(vbval($Str_DES)==1){
				$Z_TU=$G_CA * $G_CU;
				STOCK_SUB($StrZto_,$G_ID,$Z_TU);
				ZTOCK_SUB($StrZto_,$G_ID,$G_CA,$G_CU);
			}
		}
		ejt("DELETE FROM temp_compras2 WHERE cod_temc='$StrHWND_COT'");		
		if(strlen($LStrMsg)==0){
			$LStrMsg="Los datos han sido registrado: $StrCom : $StrSer - $StrNum";
		}
		$LStrFoc="document.getElementById('CboAlm').focus();";						
		$StrGT="S";
		$CLS="S";
		$StrNew="NO";	
	}	
?>